Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I just installed QT 4.7.3 in OpenSuse 11.2 (which has 4.5.3). I ran configure, gmake, and gmake install, but when I check qmake's version, it's still returning 4.5.3.

What should I do?

share|improve this question

1 Answer 1

Guess: the new version was installed in /usr/local (in particular, it installed /usr/local/bin/qmake), since you didn't specify a location. (/usr/local is probably the right place.) The distribution-provided qmake is in /usr/bin/qmake. Your running shell has cached the information that qmake is /usr/bin/qmake. Run hash qmake to make it refresh its cache. A new shell instance will find /usr/local/bin/qmake, as long as /usr/local/bin is ahead of /usr/bin in the $PATH (which it should be).

share|improve this answer
    
4.7.3's qmake gets installed at /usr/loca/Trolltech/Qt-4.7.3/bin ... I tried running "hash qmake" but still returns the old version. How do I point it to the new qt version? –  Owen May 23 '11 at 3:30

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.